Firefox 55 is out and this addon still does not work with e10s Rated 1 out of 5 stars

Slow development process. Support for e10s has been announced several months ago. Nothing has happened.

Do not install this addon!

This review is for a previous version of the add-on (10.52).